<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 *
 * @author    Paweł Stolarski <pstolarski@kanga.exchange>
 * @copyright Kanga Exchange
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

function kangaPayLoader( $class ) {
  $class = str_replace( '\\', '/', $class );
  $directories = array( 'classes' );

  foreach ($directories as $directory) {
    $fileName = _PS_MODULE_DIR_ . 'kangapay/' . $directory . '/' . $class . '.php';

    if ('index' === $class || !file_exists( $fileName )) continue;

    include_once $fileName;
  }
}

spl_autoload_register( 'kangaPayLoader' );
