/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 *
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to tech@dotpay.pl so we can send you a copy immediately.
 *
 * @author    Marcin Sałata <msalata@kanga.exchange>
 * @copyright Kanga Exchange
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

$(document).ready(function() {
    $(".kangawallet-transfer-radio").on('change', function() {
        $('.kangawallet-transfer-item').removeClass('kangawallet-transfer-selected');
        $(this).parents('.kangawallet-transfer-item').addClass('kangawallet-transfer-selected');
    });
    
    $(".kangawallet-gateway-button").on('click', function(){
        $('.kangawallet-gateway-method').removeClass('kangawallet-gateway-selected');
        $(this).parent().addClass('kangawallet-gateway-selected');
        
        $('#kangawallet-payment-method').val($(this).attr('name'));
    });
    
});
